org.bouncycastle.cms.test

## Class EnvelopedDataTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.cms.test.EnvelopedDataTest

    public class EnvelopedDataTest
    extends TestCase

### Constructor Summary

Constructors
Constructor and Description
`EnvelopedDataTest()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static Test` `suite()`
`void` `testAES128KEK()`
`void` `testAES192KEK()`
`void` `testAES256KEK()`
`void` `testCamellia128KEK()`
`void` `testCamellia192KEK()`
`void` `testCamellia256KEK()`
`void` `testDESKEK()`
`void` `testECKeyAgree()`
`void` `testECKeyAgreeVectors()`
`void` `testECMQVKeyAgree()`
`void` `testECMQVKeyAgreeVectors()`
`void` `testErrorneousKEK()`
`void` `testKeyTrans()`
`void` `testKeyTrans128RC4()`
`void` `testKeyTransAES128()`
`void` `testKeyTransAES192()`
`void` `testKeyTransAES256()`
`void` `testKeyTransCamellia128()`
`void` `testKeyTransCamellia192()`
`void` `testKeyTransCamellia256()`
`void` `testKeyTransCAST5()`
`void` `testKeyTransCAST5SunJCE()`
`void` `testKeyTransODES()`
`void` `testKeyTransRC4()`
`void` `testKeyTransSEED()`
`void` `testKeyTransSmallAES()`
`void` `testOriginatorInfo()`
`void` `testPasswordAES256()`
`void` `testPasswordDESEDE()`
`void` `testRC2128KEK()`
`void` `testRFC4134ex5_1()`
`void` `testRFC4134ex5_2()`
`void` `testSEED128KEK()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvelopedDataTest

    public EnvelopedDataTest()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### suite

    public static Test suite()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTrans

    public void testKeyTrans()
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCAST5SunJCE

    public void testKeyTransCAST5SunJCE()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransRC4

    public void testKeyTransRC4()
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTrans128RC4

    public void testKeyTrans128RC4()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransODES

    public void testKeyTransODES()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransSmallAES

    public void testKeyTransSmallAES()
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCAST5

    public void testKeyTransCAST5()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES128

    public void testKeyTransAES128()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES192

    public void testKeyTransAES192()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransAES256

    public void testKeyTransAES256()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransSEED

    public void testKeyTransSEED()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCamellia128

    public void testKeyTransCamellia128()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCamellia192

    public void testKeyTransCamellia192()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testKeyTransCamellia256

    public void testKeyTransCamellia256()
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testErrorneousKEK

    public void testErrorneousKEK()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testDESKEK

    public void testDESKEK()
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRC2128KEK

    public void testRC2128KEK()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testAES128KEK

    public void testAES128KEK()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testAES192KEK

    public void testAES192KEK()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testAES256KEK

    public void testAES256KEK()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testSEED128KEK

    public void testSEED128KEK()
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCamellia128KEK

    public void testCamellia128KEK()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCamellia192KEK

    public void testCamellia192KEK()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testCamellia256KEK

    public void testCamellia256KEK()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECKeyAgree

    public void testECKeyAgree()
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECMQVKeyAgree

    public void testECMQVKeyAgree()
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECKeyAgreeVectors

    public void testECKeyAgreeVectors()
                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testECMQVKeyAgreeVectors

    public void testECMQVKeyAgreeVectors()
                                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testPasswordAES256

    public void testPasswordAES256()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testPasswordDESEDE

    public void testPasswordDESEDE()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRFC4134ex5_1

    public void testRFC4134ex5_1()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testRFC4134ex5_2

    public void testRFC4134ex5_2()
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testOriginatorInfo

    public void testOriginatorInfo()
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`